You are not logged in.

#1 2006-01-26 21:11:40

bhrich902
Member
Registered: 2003-09-21
Posts: 75

dwl520 rev. D1

need some help with this driver, whenever i try to build it i get this error:

/mnt/storage/rtl8180-0.21/ieee80211_crypt_wep.c:27:2: warning: #warning CONFIG_CRYPTO_ARC4 is required to build this module.
  CC [M]  /mnt/storage/rtl8180-0.21/r8180_core.o
/mnt/storage/rtl8180-0.21/r8180_core.c: In function 'rtl8180_pci_probe':
/mnt/storage/rtl8180-0.21/r8180_core.c:3632: error: 'struct pci_dev' has no member named 'slot_name'
make[2]: *** [/mnt/storage/rtl8180-0.21/r8180_core.o] Error 1
make[1]: *** [_module_/mnt/storage/rtl8180-0.21] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.15-ARCH'
make: *** [2.6] Error 2

my system is up to date, everything stock. if anyone has a sec to give it a build or give me some info on what im doing wrong it'd be appreciated it, thx...

http://sourceforge.net/project/showfile … _id=114161

Offline

#2 2006-01-26 21:29:12

tomk
Forum Fellow
From: Ireland
Registered: 2004-07-21
Posts: 9,838

Re: dwl520 rev. D1

I'm guessing the problem is gcc4 incompatibility - have a look in the project's forum, or google it.

Offline

Board footer

Powered by FluxBB